/*
 * This file is generated by jOOQ.
 */
package de.ship.db.enums;


import de.ship.db.CommonDd;

import org.jooq.Catalog;
import org.jooq.EnumType;
import org.jooq.Schema;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public enum EnumDevicestate implements EnumType {

    _1___in_use("1 - in use"),

    _2___in_repair("2 - in repair"),

    _3___borrowed("3 - borrowed"),

    _4___in_stock("4 - in stock"),

    _5___scrapped("5 - scrapped"),

    _6___unknown_whereabouts("6 - unknown whereabouts"),

    _7___borrowed_device("7 - borrowed device"),

    _8___others("8 - others");

    private final String literal;

    private EnumDevicestate(String literal) {
        this.literal = literal;
    }

    @Override
    public Catalog getCatalog() {
        return getSchema().getCatalog();
    }

    @Override
    public Schema getSchema() {
        return CommonDd.COMMON_DD;
    }

    @Override
    public String getName() {
        return "enum_devicestate";
    }

    @Override
    public String getLiteral() {
        return literal;
    }

    /**
     * Lookup a value of this EnumType by its literal. Returns
     * <code>null</code>, if no such value could be found, see {@link
     * EnumType#lookupLiteral(Class, String)}.
     */
    public static EnumDevicestate lookupLiteral(String literal) {
        return EnumType.lookupLiteral(EnumDevicestate.class, literal);
    }
}
